declare function pick<O extends object, K extends keyof O>(object: O, keys: K[]): Pick<O, K>;
declare function omit<O extends object, K extends keyof O>(object: O, keys: K[]): Exclude<O, K>;
declare function getKeys<O extends object, K extends keyof O>(object: O, keys: K[]): K[];
declare function sortObjectComparator(key: string, order: 'asc' | 'desc'): (a: any, b: any) => 1 | 0 | -1;
declare function shallowCopy<T>(o: T): T;
export { pick, omit, getKeys, shallowCopy, sortObjectComparator };
//# sourceMappingURL=object.d.ts.map